Plz Upgrade Rated 5 out of 5 stars

Using since FF 2.0 and it's invaluable. Thanks
Please upgrade for 3.5
Regards

This review is for a previous version of the add-on (1.6).